Bug 146531 - rpc.mountd slow memory leak in FC2
rpc.mountd slow memory leak in FC2
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 23:26 EST by Konstantin Olchanski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 19:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2005-01-28 23:26:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040806

Description of problem:
FYI- on one of my Fedora 2 server machines rpc.mountd has a slow
memory leak, around 50 MBytes per month. None of my other machines
have this problem (a zoo of RHL8.0, 9, Fedora 1, 2 and 3 boxes).

I understand that this will not be fixed in Fedora 2 and I am seeing
advice: does anybody else see rpc.mountd memory leaks? Should I try to
install the Fedora 3 nfs-utils package?
K.O.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-22
Comment 1 Steve Dickson 2005-02-01 10:18:49 EST
How do you know its losing memory?
Comment 2 Konstantin Olchanski 2005-02-04 19:14:40 EST
"ps" and "top" show the size of rpc.mountd as 60 MBytes. This is not
normal. Ganglia history plot shows memory usage growing at the rate of
50 MBytes/month. The only culprit is rpc.mountd. I am presently
running rpc.mountd from Fedora3 and it seems to be okey so far. K.O.
Comment 3 Matthew Miller 2005-04-26 12:07:33 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Konstantin Olchanski 2005-04-28 19:28:50 EDT
I am running the FC3 rpc.mountd on the problem FC2 machine and I still see it
slowly grow, so the memory leak is still present in the FC3 rpc.mountd. I do not
see this problem on any other FC2 or FC3 machine and I am now planning to
upgrade the problem machine to RHEL4. I am changing the bug status to DEFERRED
and I will update it when I have RHEL4 data.
K.O.
Comment 5 Matthew Miller 2005-04-28 20:08:57 EDT
thanks

Note You need to log in before you can comment on or make changes to this bug.